This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 6972 - XF86_SVGA on Toshiba Tecra 8000 redraws GNOME windows wrong
XF86_SVGA on Toshiba Tecra 8000 redraws GNOME windows wrong
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-12 20:53 EST by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 15:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 1999-11-12 20:53:17 EST
Toshiba Tecra 8000, NeoMagic chipset, in 640x480 mode (which is all I have
working so far, yuk! see bug #6971).

Any horizontal motion of a GNOME window causes great redrawing confusion.
The left or right edge and the first few columns inward of it get repeated
many times, covering the window's normal contents. Exposing the window
while stationary brings the contents back.  Sometimes only alternate lines
are affected, giving an interlaced look.  Text (terminal, emacs) windows do
not have the problem.

Possibly related, the GNOME help browser text does not usually redraw if
covered by another window and the uncovered.  If I scroll fast, it redraws,
but not if scrolled slowly.  Not sure if this is a server bug or not, but I
tend to think that if it was a help browser bug they'd have seen it in
testing.
Comment 1 Joe Harrington 1999-11-15 15:44:59 EST
I just got 1024x768 pixel mode working and the problem persists.  It wasn't a
problem in the servers from RH5.2, though there were considerable, similar
problems in true-color mode under that release, which I reported (with minimal
interest on their part) to Precision Insight.

--jh--
Comment 2 Preston Brown 2000-02-03 15:53:59 EST
the driver may continue to have problems, and unfortunately there isn't much
active work going on on the NeoMagic chipset.  I have noted to take this up with
Precision Insight though.

I suggest you look at http://www.xfree86.org/3.3.5/neo6.html#6 which has some
info about NeoMagic chipset options.  Some might help you.

Note You need to log in before you can comment on or make changes to this bug.